Subject: Re: Odd Error: 'coudn't commit memory for cygwin heap' during configuration of binutils
From: "Gary V. Vaughan" <[email-masked]>
To: "Robert Collins" <[email-masked]>, "Max Bowsher" <[email-masked]>, "Cygwin Maillist" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 10 Jul 2001 22:45:54 +0100

This is certainly out of kilter, since the test assumes that it has `enough' 
buffer space at 512K now (1Mb until yesterday).  It looks like the code for 
the test is not breaking out of the loop on cygwin for some reason...

Cheers,
	Gary.

On Tuesday 10 July 2001  1:08 pm, Robert Collins wrote:
> Interesting!
>
> I'd say that this is because cygwin allocates head for the command line,
> and doesn't have a built-in limit (AFAIK).
>
> libtoolers - perhaps the max command line test should stop somewhere before
> the multi-megabyte point ?
>
> Rob
>
> ----- Original Message -----
> From: "Max Bowsher" <[email-masked]>
> To: "Cygwin Maillist" <[email-masked]>
> Sent: Tuesday, July 10, 2001 9:28 PM
> Subject: Odd Error: 'coudn't commit memory for cygwin heap' during
> configuration of binutils
>
> > Whilst configuring binutils for cross-compilation, I encountered the
> > above error.
> > (Binutils version is latest as of date of this mail)
> >
> > Whilst configuring libtool, the computer almost crashed, at the line
> > 'findinf maximum length of command line arguments' or similar. (CPU
> > utilization so high that mouse could only respond every ~10secs). This
>
> ended
>
> > with the error 'coudn't commit memory for cygwin heap Win32 error 8'.
>
> Later,
>
> > the same configure step showed the result '(cached) 2359297'
> >
> > This is hardly a critical error, since the build proceeded, but I thought
>
> I
>
> > would just bring it to your attention.
> >
> > Max.
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
>
> _______________________________________________
> Libtool mailing list
> [email-masked]
> http://mail.gnu.org/mailman/listinfo/libtool

-- 
  ())_.  Gary V. Vaughan     gary@(oranda.demon.co.uk|gnu.org)
  ( '/   Research Scientist  http://www.oranda.demon.co.uk        ,_())____
  / )=   GNU Hacker          http://www.gnu.org/software/libtool   \'      `&
`(_~)_   Tech' Author        http://sources.redhat.com/autobook    =`---d__/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/